DH-MAKE-RUBY(1)

NAME
dh-make-ruby - build Debian source package from Ruby library

USAGE
dh-make-ruby [OPTIONS] [TARBALL|DIRECTORY]

DESCRIPTION
dh-make-ruby will create a basic Debian source package from a tarball named TARBALL generated with gem2tgz, or from a DIRECTORY containing Ruby code and metadata in a .gemspec file. If no argument is specified, dh-make-ruby will build a Debian source package from the current directory.

OPTIONS

-p PACKAGE, --package PACKAGE
    Uses PACKAGE as package name. By default, new packages will be named as ruby-$gem, where $gem is the upstream name. If the package is mainly used as a library, then it should use the default. On the other hand, if the packages is mainly used as an application, then you should drop the ruby- prefix by using this option an explicit package u.

-w, --overwrite
    Overwrites packaging files that already exists but would be created by dh-make-ruby if they didn't. Exception: debian/copyright is never touched.

-h, --help
    Displays the help

-v, --version
    Displays version information and exits.

--no-wnpp-check
    Prevents dh-make-ruby to check wnpp reports to get the number of a possible ITP (intend to package) bug report. By default, dh-make-ruby does check these reports, which requires an Internet access.

--no-dependencies
    Skips the dependency detection based on Rubygems and APT metadata. You should usually not do this, unless you know what you are doing.

-o, --offline
    Prevents dh-make-ruby from accessing the internet at all.

SEE ALSO
gem2deb(1), dh_ruby(1)

COPYRIGHT AND AUTHORS
Copyright (c) 2011, Lucas Nussbaum <lucas@debian.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.